Package org.eclipse.emf.cdo.security

# Enum-Klasse PatternStyle

java.lang.Object
java.lang.Enum<PatternStyle>
org.eclipse.emf.cdo.security.PatternStyle

Alle implementierten Schnittstellen:
  `Serializable`, `Comparable<PatternStyle>`, `Constable`, `Enumerator`

public enum PatternStyle extends Enum<PatternStyle> implements Enumerator
A representation of the literals of the enumeration 'PatternStyle', and utility methods for working with them.

Seit:
  4.3
Siehe auch:
  - `SecurityPackage.getPatternStyle()`
Generated
Model

## Verschachtelte Klassen - Übersicht

## Von Klasse geerbte verschachtelte Klassen/Schnittstellen java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum-Konstanten - Übersicht

Enum-Konstanten
Enum-Konstante
Beschreibung
`ANT`
The 'ANT' literal object.
`EXACT`
The 'EXACT' literal object.
`REGEX`
The 'REGEX' literal object.
`TREE`
The 'TREE' literal object.

## Feldübersicht

Felder
Modifizierer und Typ
Feld
Beschreibung
`static final int`
`ANT_VALUE`
The 'ANT' literal value.
`static final int`
`EXACT_VALUE`
The 'EXACT' literal value.
`static final int`
`REGEX_VALUE`
The 'REGEX' literal value.
`static final int`
`TREE_VALUE`
The 'TREE' literal value.
`static final List<PatternStyle>`
`VALUES`
A public read-only list of all the 'Pattern Style' enumerators.

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`static PatternStyle`
`get(int value)`
Returns the 'Pattern Style' literal with the specified integer value.
`static PatternStyle`
`get(String literal)`
Returns the 'Pattern Style' literal with the specified literal value.
`static PatternStyle`
`getByName(String name)`
Returns the 'Pattern Style' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static PatternStyle`
`valueOf(String name)`
Gibt die Enum-Konstante dieser Klasse mit dem angegebenen Namen zurück.
`static PatternStyle[]`
`values()`
Gibt ein Array mit den Konstanten dieser Enum-Klasse in der Reihenfolge ihrer Deklaration zurück.

### Von Klasse geerbte Methoden java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Von Klasse geerbte Methoden java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum-Konstanten - Details

### EXACT

public static final PatternStyle EXACT
The 'EXACT' literal object.

Siehe auch:
  - `EXACT_VALUE`
Generated
Ordered

### TREE

public static final PatternStyle TREE
The 'TREE' literal object.

Siehe auch:
  - `TREE_VALUE`
Generated
Ordered

### ANT

public static final PatternStyle ANT
The 'ANT' literal object.

Siehe auch:
  - `ANT_VALUE`
Generated
Ordered

### REGEX

public static final PatternStyle REGEX
The 'REGEX' literal object.

Siehe auch:
  - `REGEX_VALUE`
Generated
Ordered

## Felddetails

### EXACT_VALUE

public static final int EXACT_VALUE
The 'EXACT' literal value.

If the meaning of 'EXACT' literal object isn't clear, there really should be more of a description here...

Siehe auch:
  - `EXACT`
  - Konstantenfeldwerte
Generated
Model
Ordered

### TREE_VALUE

public static final int TREE_VALUE
The 'TREE' literal value.

If the meaning of 'TREE' literal object isn't clear, there really should be more of a description here...

Siehe auch:
  - `TREE`
  - Konstantenfeldwerte
Generated
Model
Ordered

### ANT_VALUE

public static final int ANT_VALUE
The 'ANT' literal value.

If the meaning of 'ANT' literal object isn't clear, there really should be more of a description here...

Siehe auch:
  - `ANT`
  - Konstantenfeldwerte
Generated
Model
Ordered

### REGEX_VALUE

public static final int REGEX_VALUE
The 'REGEX' literal value.

If the meaning of 'Regex' literal object isn't clear, there really should be more of a description here...

Siehe auch:
  - `REGEX`
  - Konstantenfeldwerte
Generated
Model
Ordered

### VALUES

public static final List<PatternStyle> VALUES
A public read-only list of all the 'Pattern Style' enumerators.

Generated

## Methodendetails

### values

public static PatternStyle[] values()
Gibt ein Array mit den Konstanten dieser Enum-Klasse in der Reihenfolge ihrer Deklaration zurück.

Gibt zurück:
  ein Array mit den Konstanten dieser Enum-Klasse in der Reihenfolge ihrer Deklaration

### valueOf

public static PatternStyle valueOf(String name)
Gibt die Enum-Konstante dieser Klasse mit dem angegebenen Namen zurück. Die Zeichenfolge muss exakt mit einer ID übereinstimmen, mit der eine Enum-Konstante in dieser Klasse deklariert wird. (Zusätzliche Leerzeichen sind nicht zulässig.)

Parameter:
  `name` - Name der zurückzugebenden Enumerationskonstante.
Gibt zurück:
  Enumerationskonstante mit dem angegebenen Namen
Löst aus:
  `IllegalArgumentException` - wenn diese Enum-Klasse keine Konstante mit dem angegebenen Namen enthält
  `NullPointerException` - wenn das Argument nicht angegeben wird

### get

public static PatternStyle get(String literal)
Returns the 'Pattern Style' literal with the specified literal value.

Parameter:
  `literal` - the literal.
Gibt zurück:
  the matching enumerator or `null`.
Generated

### getByName

public static PatternStyle getByName(String name)
Returns the 'Pattern Style' literal with the specified name.

Parameter:
  `name` - the name.
Gibt zurück:
  the matching enumerator or `null`.
Generated

### get

public static PatternStyle get(int value)
Returns the 'Pattern Style' literal with the specified integer value.

Parameter:
  `value` - the integer value.
Gibt zurück:
  the matching enumerator or `null`.
Generated

### getValue

public int getValue()

Angegeben von:
  `getValue` in Schnittstelle `Enumerator`
Generated

### getName

public String getName()

Angegeben von:
  `getName` in Schnittstelle `Enumerator`
Generated

### getLiteral

public String getLiteral()

Angegeben von:
  `getLiteral` in Schnittstelle `Enumerator`
Generated

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Setzt außer Kraft:
  `toString` in Klasse `Enum<PatternStyle>`
Generated